Bug 821018 - Color Themes support in jBPM Designer
Color Themes support in jBPM Designer
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: BRMS 5.3.0.GA
Assigned To: Anne-Louise Tangring
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 11:17 EDT by Ryan Zhang
Modified: 2012-06-25 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2012-05-11 11:17:39 EDT
Description of problem:
This actually has already been implemented by Tihomir in process-designer 2.2.x branch which BRMS 5.3 used very recently.

Tihomir metioned that Parkash has asked this function p but there is no BZ item log it. And not sure everyone aware this like me. 
So this is it. So this item is to ask for permission to include it in BRMS 5.3.

I believe, the commit code is in https://github.com/tsurdilo/process-designer/commit/b13f9d636dc0b8cec02ef16c54413a3782bfdec4

Personally, I think it's very cool to have this feature in product. So Thanks very much for Tihomir bring this happened.

It would be better if we could  have every feature changes or bug fixed track  by bugzila, especially in current blocker only phase.

TBF, I think it's better to include it in ER7 since we already had them in the product branch. and it make no sense to revert it and re-start the build process.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan Zhang 2012-05-11 11:19:16 EDT
Though only blocker+ and release_flag required in blocker mode, I still set 3_ack to ? for all parties agreement.
Comment 2 Tihomir Surdilovic 2012-05-11 11:22:16 EDT
You can find info on this new feature at: http://surdilovic.wordpress.com/2012/05/10/color-themes-support-in-jbpm-designer/. This should help with testing it as well.
Comment 3 Ryan Zhang 2012-05-11 11:25:41 EDT
Forgot to mention, here is description for this cool function: http://surdilovic.wordpress.com/2012/05/10/color-themes-support-in-jbpm-designer/

Thanks Tihomir to make this happen.
Comment 9 Sona Mala 2012-05-22 03:31:02 EDT
Verified:
- add my own color template for BPMN2
- change existing color template for BPMN2

Note You need to log in before you can comment on or make changes to this bug.